/* #region ===== Watermark ===== */

.header {
  display: flex;
  background-color: var(--background);
  position: sticky;
  top: 0px;
  z-index: 12;
  padding: 5px 0 0 0;
  justify-content: space-between;
}

.watermark-title-1 {
  color: var(--orange);
  font-size: clamp(18px, 16.28px + 0.536vw, 24px);
  margin: 0px;
}

.watermark-title-2 {
  color: var(--white);
  font-size: clamp(18px, 16.28px + 0.536vw, 24px);
  margin: 0px;
}

.watermark-wrap {
  display: flex;
  align-items: center;
}

/* #endregion */

/* #region ===== Title ===== */

.page-title {
  color: var(--white);
  font-size: clamp(46px, 35.14px + 3.393vw, 84px);
  margin: 0;
}

.hero {
  text-align: center;
  padding-top: clamp(10px, 6px + 1.25vw, 24px);
}

/* #endregion */

/* #region ===== Controls Container ===== */

.right-controls {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 3px;
}

/* #endregion */

/* #region ===== Snapshot Button ===== */

.snapshot-btn {
  display: flex;
  position: relative;
  align-items: center;
  justify-content: center;
  width: max-content;
  text-decoration: none;
  transition: transform 0.25s ease;
}

.snapshot-btn:active {
  transform: scale(0.95);
}

.snapshot-btn-icon {
  width: var(--sound-button);
  height: var(--sound-button);
  color: var(--light-gray);
}

.snapshot-btn::before {
  content: "Monthly Snapshot";
  text-transform: capitalize;
  position: absolute;
  text-transform: none;
  background-color: var(--light-gray);
  color: var(--background);
  left: 50%;
  transform: translateX(-50%) translateY(20px);
  font-size: var(--coming-soon-tooltip);
  border-radius: 10px;
  padding: clamp(3px, 2.43px + 0.179vw, 5px) clamp(6px, 4.86px + 0.357vw, 10px);
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition:
    opacity 0.25s ease,
    transform 0.25s ease;
}

@media (hover: hover) {
  .snapshot-btn:hover::before {
    transform: translateX(-50%) translateY(35px);
    opacity: 1;
  }
}

/* #endregion */

/* #region ===== Sound Button ===== */

#sound-toggle .icon-on,
#sound-toggle .icon-off {
  display: none;
}

#sound-toggle.active .icon-on {
  display: block;
  fill: var(--light-gray);
}

#sound-toggle:not(.active) .icon-off {
  display: block;
}

#sound-toggle {
  width: fit-content;
  height: fit-content;
  padding: 3px;
  transition: opacity 0.3s ease;
}

#sound-toggle:not(.active) {
  background: transparent;
}

#sound-toggle .open-svg {
  width: var(--sound-button);
  height: var(--sound-button);
  color: var(--light-gray);
}

#sound-toggle.active {
  background: transparent;
}

/* #endregion */
